image: registry.gitlab.com/brownfield-dev/remote/handbook:v1-2

variables:
  GIT_SUBMODULE_STRATEGY: recursive

stages:
  - build
  - review
  - deploy

test:
  stage: build
  script:
    - hugo
  only:
    - branches
  except:
    - master

local:review:
  image: alpine:latest
  stage: review
  script:
    - echo "start review app locally for Merge Request links to work.  Run 'hugo server'"
  only:
    - branches
  except:
    - master
  environment:
    name: local
    url: http://127.0.0.1:1313
  variables:
    GIT_STRATEGY: none

pages:
  stage: build
  script:
    - echo "${FATHOM_SCRIPT_TAG}" >> layouts/partials/docs/inject/head.html
    - hugo
  artifacts:
    paths:
      - public
  only:
    - master
